Subject: Re: [PATCH v2] Git.pm: Use File::Temp->tempfile instead of ->new

From: "Tom G. Christensen" <[email-masked]>
Date: Tue, 9 Sep 2008 09:41:30 +0200

Marcus Griep wrote:
> Perl 5.8.0 ships with File::Temp 0.13, which does not have the new()
> interface introduced in 0.14, as pointed out by Tom G. Christensen.
> 
> This modifies Git.pm to use the more established tempfile() interface
> and updates 'git svn' to match.
> 
> Signed-off-by: Marcus Griep <[email-masked]>
> ---
> 
>  This patch v2 cleans up a few code items, corrects a misspelling,
>  and ensures that the temp file gets unlinked when we exit, now
>  that we are requesting the filename.  Otherwise, the previous
>  comments stand:
> 
>  Per the earlier patch versions by Abhijit Menon-Sen and Tom G. Christensen.
>  Both of you may want to run a test and add your 'Tested-by' to the thread
>  if everything works out before Eric Wong adds his 'Acked-by'.
> 
The testsuite now passes t9100-git-svn-basic.sh and instead fails at 
t9108-git-svn-glob.sh but this appears to be unrelated to the File::Temp 
issue.

--- expect.three        2008-09-09 07:34:39.000000000 +0000
+++ stderr.three        2008-09-09 07:34:42.000000000 +0000
@@ -1,2 +1,3 @@
+Parentheses missing around "my" list at 
/home/tgc/projects/git/t/../git-svn line 4429.
  Only one set of wildcard directories (e.g. '*' or '*/*/*') is 
supported: 'branches/*/t/*'

* FAIL 3: test disallow multi-globs

Tested-by: Tom G. Christensen <[email-masked]>

-tgc